# Переменные в словарь JS

[Назад к списку компонентов](../README.md)

## Назначение

Компонент преобразует список переменных в словарь формата «ключ: значение».

## Входные порты

| Название          | Тип          |
|:-----------------|:--------------|
| Переменные       | Переменные    |
| Параметры        | Переменные    |

### Переменные в порте "Переменные"

Структура переменных не определена, в порте включена автосинхронизация.

### Переменные в порте "Параметры"

| № | Метка                                | Тип                                 | Значение   |
|:--|:-------------------------------------|:------------------------------------|:-----------|
| 1 | Игнорировать пустые                  | ![](./img/logical.svg) Логический   | true       |
| 2 | Использовать метки переменных        | ![](./img/logical.svg) Логический   | true       |
| 3 | Тип скобок                           | ![](./img/string.svg) Строковый     | {          |
| 4 | Имя словаря                          | ![](./img/string.svg) Строковый     | Dict1      |
| 5 | Имя словаря в содержимое             | ![](./img/logical.svg) Логический   | false      |
| 6 | Округлять до N знаков после запятой  | ![](./img/integer.svg) Целый        | 4          |

1. **Игнорировать пустые** — если значение флага `true` (по умолчанию), то в словарь не попадут переменные со строковыми значениями "**null**" и " ", а так же переменные с пропущенным значением (`<null>`).
2. **Использовать метки переменных** — если значение флага `true` (по умолчанию), то в качестве ключа будет использоваться метка переменной. Иначе будет использоваться имя переменной.
3. **Тип скобок** — переменная позволяет задать словарю два типа скобок — фигурные `{` (по умолчанию) и квадратные `[`. Если значение переменной пустое или используется другой символ, то по умолчанию у словаря будут фигурные скобки.
4. **Имя словаря** — имя, которое будет указано в поле **Имя словаря** и может быть добавлено к содержимому словаря..
5. **Имя словаря в содержимое** — если флаг `true`, то добавляет к содержимому словаря имя в формате `Dict1 = {содержимое словаря}`. Если флаг `false` (по умолчанию), то возвращается только `{содержимое словаря}`.
6. **Округлять до N знаков после запятой** — все числовые значения будут округляться до указанного числа (**4** — по умолчанию) после запятой.

## Выходные порты

| Название    | Тип        |
|:------------|:-----------|
| Словарь     | Таблица    |

### Структура таблицы "Время и расстояние"

| Метка              | Тип                             | Описание                                                                            |
|:-------------------|:--------------------------------|:------------------------------------------------------------------------------------|
| Имя словаря        | ![](./img/string.svg) Строковый | Заданное имя словаря                                                                |
| Содержимое словаря | ![](./img/string.svg) Строковый | Сформированная строка словаря на основе списка переменных из порта **Переменные**   |